Bug 1309953 - JBDS Bpmn2 Diagram Editor 1.2.1.Final - Missing Prompt for Service Task Pop Up
JBDS Bpmn2 Diagram Editor 1.2.1.Final - Missing Prompt for Service Task Pop Up
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.3.0
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 00:24 EST by Justin Holmes
Modified: 2018-01-30 07:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Empty Service Task (136.53 KB, image/png)
2016-02-19 00:24 EST, Justin Holmes
no flags Details
Painted Service Task (160.96 KB, image/png)
2016-02-19 00:24 EST, Justin Holmes
no flags Details
Painted Input/Output (131.08 KB, image/png)
2016-02-19 00:24 EST, Justin Holmes
no flags Details
Empty Input/Output (124.37 KB, image/png)
2016-02-19 00:26 EST, Justin Holmes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 488219 None None None 2016-02-22 07:25 EST

  None (edit)
Description Justin Holmes 2016-02-19 00:24:07 EST
Created attachment 1128441 [details]
Empty Service Task

Description of problem:
If you double click and open the dialogue outside of the "Properties" tab view, a the form is strangely empty. If you drag the corner of the window to expand it, the form seems to appear magically.

I'm on Fedora 23.


Version-Release number of selected component (if applicable):
JBDS 9 - 1.2.1.Final

How reproducible:
100%

Steps to Reproduce:
1. Install the bpm and rules tools
2. Create New -> jbpm 
3. Create a Service Task
4. Double click on a Service Task

Actual results:
The pop up dialogue is missing all the from fields you see in the Properties view. You can then drag the corner of the pop up window and the form appears in the window. 

Expected results:
The pop up dialogue has the same fields as the Properties view dialogue after opening.


Additional info:
Comment 1 Justin Holmes 2016-02-19 00:24 EST
Created attachment 1128442 [details]
Painted Service Task
Comment 2 Justin Holmes 2016-02-19 00:24 EST
Created attachment 1128443 [details]
Painted Input/Output
Comment 3 Justin Holmes 2016-02-19 00:26 EST
Created attachment 1128444 [details]
Empty Input/Output
Comment 5 Jozef Marko 2016-02-22 02:40:53 EST
In the latest version:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1, BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Are 'General' and 'Service Task' tabs rendered correctly immediately as Pop Up appears. Problem is still reproducible for 'I/O Parameters' tab.
Comment 6 Jozef Marko 2016-02-24 02:05:42 EST
Bug should be fixed in:
BPMN2 Modeler - 1.2.3.Final-v20160223-1918-B93

I will mark this as verified when jbds integration stack will contain newer BPMN2 Modeler.
Comment 7 Jozef Marko 2016-02-24 02:52:31 EST
'I/O Parameters' tab is also not rendered correctly for User tasks.
Comment 8 Robert (Bob) Brodt 2016-03-23 11:19:09 EDT
I have verified this as also fixed in BPMN2 Modeler versions for
Luna: 1.1.6.CR1-v20160318-1403-B1303
Mars: 1.2.4.CR1-v20160318-1302-B107
Neon: 1.3.0.Beta1-v20160318-1302-B41
Comment 9 Jozef Marko 2016-04-06 02:14:21 EDT
Verified on:
jbds-9.1.0.CR1_jbdsis-9.0.0.CR1
jbtis-4.3.0.CR1
BPMN2 Modeler - 1.2.4.Final-v20160330-1625-B110

Note You need to log in before you can comment on or make changes to this bug.